/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.lang;

class TracePrintStream extends java.io.PrintStream {

	public TracePrintStream(java.io.OutputStream out) {
		super(out);
	}
	
	public native void println(String s)/*{
		trace(s);
	}*/;
	
	public native void print(String s)/*{
		//TODO - multiple delimiter
		trace(s);
	}*/;

}
